@php
$currentUrl = \Illuminate\Support\Facades\Request::segment(2);
@endphp
<aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="{{ route('dashboard')}}"  class="brand-link">
        @if(!auth()->user()->isRole('Super Admin'))
            @if(auth()->user()->isRole('Admin'))
                @if(\Storage::disk('public')->has(auth()->user()->company_logo))
                    <img src="{{ asset('storage/'.auth()->user()->company_logo) }}" alt="" class="brand-image img-circle elevation-3"
                    style="opacity: .8">
                @else
                    <img src="{{ asset('images/no-img-100x92.jpg') }}" alt="" class="brand-image img-circle elevation-3"
                    style="opacity: .8">
                @endif
            @else
                @if(\Storage::disk('public')->has(auth()->user()->company->company_logo))
                    <img src="{{ asset('storage/'.auth()->user()->company->company_logo) }}" alt="" class="brand-image img-circle elevation-3"
                    style="opacity: .8">
                @else
                    <img src="{{ asset('images/no-img-100x92.jpg') }}" alt="" class="brand-image img-circle elevation-3"
                    style="opacity: .8">
                @endif
            @endif
        @else
            @if(\Storage::disk('public')->has('settings/'.config('get.MAIN_LOGO')))
                <img src="{{ asset('storage/settings/' . config('get.MAIN_LOGO')) }}" alt="" class="brand-image img-circle elevation-3"
                style="opacity: .8">
            @else
                <img src="{{ asset('images/no-img-100x92.jpg') }}" alt="" class="brand-image img-circle elevation-3"
                style="opacity: .8">
            @endif
        @endif
        <span class="brand-text font-weight-light">{{ config('get.SYSTEM_APPLICATION_NAME') }}</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
        <!-- Sidebar user panel (optional) -->
        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            <div class="image">
                @if(\Storage::disk('public')->has(auth()->user()->avatar))
                    <img src="{{ asset('storage/'.auth()->user()->avatar) }}" alt="" class="img-circle elevation-2">
                @else
                    <img src="{{ asset('images/no-img-100x92.jpg') }}" alt="" class="img-circle elevation-2">
                @endif
            </div>
            <div class="info">
                <a href="javascript:;" class="d-block">{{ @Auth::user()->full_name}}</a>
            </div>
        </div>

        <!-- Sidebar Menu -->
        <nav class="mt-2">
            <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                <!-- Add icons to the links using the .nav-icon class
                     with font-awesome or any other icon font library -->

                <li class="nav-item">
                    <a href="{{route('dashboard')}}" class="nav-link {{(Request::segment(1)=='dashboard')?'active':''}}">
                        <i class="nav-icon fas fa-tachometer-alt"></i>
                        <p>
                            Dashboard
                        </p>
                    </a>
                </li>

                <!-- User --> 
                @if (auth()->user()->can('access', 'users visible'))
                    <li class="nav-item">
                        <a href="{{ route('users.index') }}" class="nav-link {{ request()->is('users*') ? 'active' : '' }}">
                            <i class="nav-icon fas fa-users"></i>
                            Users Manager
                        </a>
                    </li>
                @endif

                <!-- Company --> 
                @if (auth()->user()->can('access', 'admins visible'))
                    <li class="nav-item">
                        <a href="{{ route('companies.index') }}" class="nav-link {{ request()->is('companies*') ? 'active' : '' }}">
                            <i class="nav-icon fas fa-users"></i>
                            Companies Manager
                        </a>
                    </li>
                @endif

                <!-- Supplier --> 
                @if (auth()->user()->can('access', 'suppliers visible'))
                    <li class="nav-item">
                        <a href="{{ route('suppliers.index') }}" class="nav-link {{ request()->is('suppliers*') ? 'active' : '' }}">
                            <i class="nav-icon fas fa-users"></i>
                            Suppliers Manager
                        </a>
                    </li>
                @endif
                
                <!--Project-->
                @if ((auth()->user()->can('access', 'projects visible')))
                    <li class="nav-item">
                        <a href="{{ route('projects')}}" class="nav-link  {{ request()->is('projects*') ? 'active':''}}">
                            <i class="far fa-circle nav-icon"></i>
                            Project Manager
                        </a>
                    </li>
                @endif
                <!--Project-->
                @if ((auth()->user()->can('access', 'estimates visible')))
                    <li class="nav-item">
                        <a href="{{ route('estimates.projects') }}" class="nav-link {{ (request()->is('estimates/projects*')) ? 'active' : '' }}">
                            <i class="far fa-circle nav-icon"></i>
                            <p>Estimates</p>
                        </a>
                    </li>
                @endif
                <!-- Timesheet -->
                @if ((auth()->user()->can('access', 'timesheets visible')))
                <li class="nav-item has-treeview {{ (request()->is('timesheets*')) ? 'menu-open' : '' }}">
                    <a href="javascript:;" class="nav-link">
                        <i class="far fa-circle nav-icon"></i>
                        <p>
                            Timesheet Manager
                            <i class="right fas fa-angle-left"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="{{ route('timesheets.staff') }}" class="nav-link {{ (request()->is('timesheets/staff*')) ? 'active' : '' }}">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Staff Timesheets</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="{{ route('timesheets.labour') }}" class="nav-link {{ (request()->is('timesheets/labour*')) ? 'active' : '' }}">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Labour Timesheets</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="{{ route('timesheets.staff.weekly') }}" class="nav-link {{ (request()->is('timesheets/staff-weekly*')) ? 'active' : '' }}">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Weekly staff Timesheets</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="{{ route('timesheets.labour.weekly') }}" class="nav-link {{ (request()->is('timesheets/labour-weekly*')) ? 'active' : '' }}">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Weekly Labour Timesheets</p>
                            </a>
                        </li>
                    </ul>
                </li>
                @endif
                <!-- Purchase order -->
                @if ((auth()->user()->can('access', 'purchase orders visible')))
                    <li class="nav-item">
                        <a href="{{ route('quotations.index') }}" class="nav-link {{ (request()->is('quotations*')) ? 'active' : '' }}">
                            <i class="far fa-circle nav-icon"></i>
                            <p> Quotations</p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="{{ route('purchase.orders.index') }}" class="nav-link {{ (request()->is('purchase-orders*')) ? 'active' : '' }}">
                            <i class="far fa-circle nav-icon"></i>
                            <p> Purchase Orders</p>
                        </a>
                    </li>
                @endif
                
                <!-- Reports -->
                @if ((auth()->user()->can('access', 'reports visible')))
                    <li class="nav-item">
                        <a href="{{ route('reports.index') }}" class="nav-link {{ (request()->is('reports*')) ? 'active' : '' }}">
                            <i class="far fa-circle nav-icon"></i>
                            <p>Reports</p>
                        </a>
                    </li>
                @endif
                <!--Permission-->
                @if(Auth::user()->roles->first()->slug == 'super_admin' || Auth::user()->roles->first()->slug == 'admin')
                    <li class="nav-item">
                        <a href="{{ route('permissions.index') }}" class="nav-link {{(Request::segment(1)=='permissions')?'active':''}}">
                            <i class="fas fa-lock nav-icon"></i>
                            <p>
                                Default Permissions
                            </p>
                        </a>
                    </li>
                @endif 
                <!--Email Template-->
                @if(Auth::user()->roles->first()->slug=='super_admin')
                <li class="nav-item">
                    <a href="{{route('emailtemplates')}}" class="nav-link {{ in_array(\Request::route()->getName(), ['emailtemplates'])?'active':''}}">
                        <i class="nav-icon fas fa-envelope"></i>
                        <p>
                            Email Templates
                        </p>
                    </a>
                </li>
                @endif
                <!--Setting--> 
                @if (auth()->user()->can('access', 'settings visible'))
                <li class="nav-item has-treeview {{ in_array(\Request::route()->getName(), ['settingtheme','setting.general','setting.smtp'])? 'menu-open':''}}">
                    <a href="#" class="nav-link {{ in_array(\Request::route()->getName(), ['setting.logos','setting.general','setting.smtp'])? 'active':''}}">
                        <i class="nav-icon fas fa-cogs"></i>
                        <p>
                            Setting Manager
                            <i class="right fas fa-angle-left"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="{{url('settings/logos')}}" class="nav-link {{ in_array(\Request::route()->getName(), ['setting.logos']) ? 'active' : '' }}">
                                <i class="far fa-circle nav-icon"></i> Logo/Favicon Icon</a>
                        </li>
                        <li class="nav-item">
                            <a href="{{url('settings/general')}}" class="nav-link {{ in_array(\Request::route()->getName(), ['setting.general']) ? 'active' : '' }}"> <i class="far fa-circle nav-icon"></i>General Settings</a>
                        </li>

                        <li class="nav-item"><a href="{{url('settings/smtp')}}" class="nav-link {{ in_array(\Request::route()->getName(), ['setting.smtp']) ? 'active' : '' }}"> <i class="far fa-circle nav-icon"></i> SMTP Details</a></li>

                    </ul>
                </li>
                @endif
                
                <!--Helpdesk-->
                @if(Auth::user()->roles->first()->slug == 'super_admin' || Auth::user()->roles->first()->slug == 'admin')
                    <li class="nav-item">
                        <a href="{{route('helpdesk')}}" class="nav-link">
                            <i class="fas fa-lock nav-icon"></i>
                            <p>
                                ICost Help Desk
                            </p>
                        </a>
                    </li>
                @endif

                <li  class="nav-item" >
                    <a href="{{ route('users.password') }}" class="nav-link {{ in_array(\Request::route()->getName(), ['changepassword']) ? 'active' : '' }}">
                        <i class="fa fa-unlock nav-icon"></i> <p>Change Password</p>
                    </a>
                </li>
                <li  class="nav-item" >
                    <a href="{{ route('logout') }}"
                       onclick="event.preventDefault();
                               document.getElementById('logout-sidebarform').submit();"  class="nav-link {{ in_array(\Request::route()->getName(), ['logout']) ? 'active' : '' }}">
                        <i class="fas fa-power-off nav-icon"></i> <p>{{ __('Logout') }}</p>
                    </a>
                </li>
            </ul>
            <form id="logout-sidebarform" action="{{ route('logout') }}" method="POST" style="display: none;">
                @csrf
            </form>
            </ul>
        </nav>
        <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
</aside>
