<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <meta name="csrf-token" content="{{ csrf_token() }}" />
  <title> @isset($title) {{ ($title . ' | ') }} @endisset {{ config('get.SYSTEM_APPLICATION_NAME') }}</title>

  @include('elements.styles')
  <!-- Push Page Styles  Balde -->
  @stack('styles')
</head>

<body class="hold-transition sidebar-mini layout-navbar-fixed">
  <div class="wrapper">
    <!-- Navbar -->
    @include('components.navbar')
    <!-- /.navbar -->

    <!-- Main Sidebar Container -->
    @include('components.main-sidebar')
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">

      @yield('content')


    </div>
    <!-- /.content-wrapper -->

    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
      <!-- Control sidebar content goes here -->
    </aside>
    <!-- /.control-sidebar -->

    <!-- Main Footer -->
    <footer class="main-footer">
        <strong>
            Copyright &copy; {{date("Y")}} 
            <a href="{{ route('dashboard')}}">{{ config("get.SYSTEM_APPLICATION_NAME") }}</a>.
        </strong> All rights reserved.
        <div class="float-right d-none d-sm-inline-block">
            <b>Version</b> {{ app()::VERSION }}
        </div>
    </footer>
  </div>
  <!-- ./wrapper -->
  <!-- REQUIRED SCRIPTS -->
  @include('elements.scripts')
  @stack('scripts')
  <script type="text/javascript">
      $(document).ready(function() {
          setTimeout(handleNotification, 10000);
          $('.select2-input').select2();
          bsCustomFileInput.init();
      });
      function handleNotification(){
          $.ajax({
              url: "{{ route('conversations.notifications') }}",
              type: 'get',
              success: function(data){
                $(document).find('.notifications-wrapper').html(data.html);
              },
              complete:function(data){
                  setTimeout(handleNotification, 10000);
              }
          });
      }
  </script>

</body>

</html>